GIAC(1)

NAME
giac - computer algebra system

SYNOPSIS
giac [options] files
icas [options] files
xcas files
cas_help keyword

DESCRIPTION

giac is an advanced symbolic and numeric calculator by Bernard Parisse. The console interface is named icas or equivalently giac The corresponding GUI program is called xcas. These programs has extensive html documentation; One can also obtain some help about a keyword like this:

   0>> ?gcd
   Returns the greatest common divisor of 2 polynomials of several variables
   or of 2 integers or of 2 rationals.
   (Intg(a) or Poly),(Intg(b) or Poly)
   gcd(45,75);gcd(15/7,50/9);gcd(x^2-2*x+1,x^3-1);gcd(t^2-2*t+1,t^2+t-2);
   gcd((x^2-1)*(y^2-1)*z^2,x^3*y^3*z+(-(y^3))*z+x^3*z-z)
   lcm,euler,modgcd,ezgcd,psrgcd,heugcd,Gcd

OPTIONS

--version
    Show version of program.

--texmacs
    To call giac/icas from Texmacs

--emacs
    To call giac/icas from Emacs

--sage
    To call giac from Sage

SEE ALSO
The programs are documented fully by GIAC/XCAS manual in html format in /usr/share/giac/doc.
C++ programers will find some informations about the giac library in the info manual.

AUTHOR
Bernard Parisse. http://www-fourier.ujf-grenoble.fr/~parisse/giac.html

LICENSE
GPLv3+